SDL_Palette(3type)

NAME
SDL_Palette - A set of indexed colors representing a palette.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_Palette
{
    int ncolors;        /**< number of elements in `colors`. */
    SDL_Color *colors;  /**< an array of colors, `ncolors` long. */
    Uint32 version;     /**< internal use only, do not touch. */
    int refcount;       /**< internal use only, do not touch. */
} SDL_Palette;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetPaletteColors(3)